﻿using System;
//+
namespace ESVBible.Service
{
    public static class RESTEndpoint
    {
        //- $Base -//
        private const String Base = "http://www.esvapi.org/v2/rest/";

        //+
        //- @DailyVerse -//
        public const String DailyVerse = RESTEndpoint.Base + "dailyVerse";

        //- @PassageQuery -//
        public const String PassageQuery = RESTEndpoint.Base + "passageQuery";

        //- @Query -//
        public const String Query = RESTEndpoint.Base + "query";

        //- @QueryInfo -//
        public const String QueryInfo = RESTEndpoint.Base + "queryInfo";

        //- @ReadingPlanInfo -//
        public const String ReadingPlanInfo = RESTEndpoint.Base + "readingPlanInfo";

        //- @ReadingPlanQuery -//
        public const String ReadingPlanQuery = RESTEndpoint.Base + "readingPlanQuery";

        //- @Verse -//
        public const String Verse = RESTEndpoint.Base + "verse";
    }
}