﻿using System;
//+
namespace ESVBible.Service
{
    public class Warning
    {
        //- @Code -//
        /// <summary>
        /// The error code that pertains to the error.
        /// </summary>
        public String Code { get; set; }

        //- @Readable -//
        /// <summary>
        /// An HTML human-readable description of the error. Any links in the code point to the ESV website, but you can manipulate them to point wherever you wish.
        /// </summary>
        public String Readable { get; set; }
    }
}