using System;
//+
namespace ESVBible.Service.Parameter
{
    public abstract class Parameter
    {
        private String key;

        //+
        //- @Key -//
        /// <summary>
        /// Your access key. For testing purposes, you can use the key TEST. For general-purpose queries, you can use the key IP.
        /// </summary>
        public String Key
        {
            get
            {
                if (String.IsNullOrEmpty(key))
                {
                    key = ESVBibleServiceConfiguration.ESVBibleServiceKey;
                }
                //+
                return key;
            }
            set
            {
                key = value;
            }
        }

        //+
        //- @Ctor -//
        public Parameter() { }
    }
}