﻿using System;
//+
namespace ESVBible.Service
{
    internal static class TextTranslation
    {
        //- ~GetReadingPlanText -//
        internal static String GetReadingPlanText(ReadingPlan readingPlan)
        {
            switch (readingPlan)
            {
                case ReadingPlan.OneYearTract:
                    return "one-year-tract";
                case ReadingPlan.ThroughTheBible:
                    return "through-the-bible";
                case ReadingPlan.EveryDayInTheWord:
                    return "every-day-in-the-word";
                case ReadingPlan.Bcp:
                    return "bcp";
                default:
                    throw new ESVBibleException("Invalid ReadingPlan set.  Options are OneYearTract (0), ThroughTheBible (1), EveryDayInTheWord (2), and Bcp (3)");
            }
        }
    }
}